WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Lots of warnings when updating plugins

[Resolved] Lots of warnings when updating plugins

  • I’m absolutely LOVING Gravitate Encryption! It’s working great, with one exception: Any time I update a plugin, I now get these error messages:

    Warning: Attempt to modify property of non-object in .../blogtutor.com/html/wp-content/plugins/gravitate-encryption/gds_encryption.php on line 796
    
    Warning: Attempt to modify property of non-object in .../blogtutor.com/html/wp-content/plugins/gravitate-encryption/gds_encryption.php on line 796
    
    Warning: Attempt to modify property of non-object in .../blogtutor.com/html/wp-content/plugins/gravitate-encryption/gds_encryption.php on line 796
    
    Warning: Cannot modify header information - headers already sent by (output started at .../blogtutor.com/html/wp-content/plugins/gravitate-encryption/gds_encryption.php:796) in .../blogtutor.com/html/wp-includes/pluggable.php on line 876
    
    Warning: Cannot modify header information - headers already sent by (output started at .../blogtutor.com/html/wp-content/plugins/gravitate-encryption/gds_encryption.php:796) in .../blogtutor.com/html/wp-includes/pluggable.php on line 876

    It doesn’t seem to be causing any problems, but wanted to bring it to your attention.

    Thanks!

    – Andrew

    http://wordpress.org/plugins/gravitate-encryption/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Gravitate

    @gravitate

    Hi Andrew,
    Looking into this now.

    Plugin Author Gravitate

    @gravitate

    Hi Andrew,
    I have released a new version that has the updates to prevent those Warnings from showing.

    However, I purposefully made my plugin not allow for Auto Updates. So you will need to Update the Plugin Manually. You can do this by overwriting the “gds_encryption.php” with the newer one. in your plugins directory.

    PS. Those warnings are shown as you have PHP display errors on.
    I suggest you talk to you website administrator and have PHP display errors off. Doing so will also resolve your issue without having to update the plugin.

    Please keep me updated.
    Thanks

    I just updated manually. Next time I have some plugins to update, I’ll let you know if it kicks out those warnings again.

    Out of curiosity, why don’t you allow for updating through the dashboard?

    Thanks for the super-fast responses! 🙂

    Plugin Author Gravitate

    @gravitate

    Honestly, it is because the data that this plugin is encrypting could potentially be very vital to the company and I don’t want a mistake I made in the code to potentially make the data unusable. Therefore I would prefer that someone manually updates the plugin then test it to make sure it is still working rather then someone just hitting update and logging off with out checking the code.

    Plus clients can update through the Dashboard, but they usually can’t resolve any issues if one comes up. So I would prefer a developer or someone who has a little experience with code to do it.

    PS. Please feel free to review and rate the plugin if you have time.
    Thanks

    Ah, makes sense. Thanks.

    Just left a positive review – this plugin really is terrific, and I’m so appreciative for your work! 🙂

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Resolved] Lots of warnings when updating plugins’ is closed to new replies.